classification
Title: windows msi in headless mode fails to install Script directory on reinstall if the python folder was deleted but not uninstalled
Type: behavior Stage: resolved
Components: Installation, Windows Versions: Python 3.7, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: cdknorow, paul.moore, steve.dower, tim.golden, zach.ware
Priority: low Keywords:

Created on 2018-08-23 03:50 by cdknorow, last changed 2019-08-02 22:41 by steve.dower. This issue is now closed.

Messages (5)
msg323921 - (view) Author: Christopher Knorowski (cdknorow) Date: 2018-08-23 03:50
Steps to repeate (windows 10)

msiexec.exe /i python-2.7.15.amd64.msi ALL_USERS=0 TARGETDIR=C:\Users\Public\python /qr

(fresh install works without issue)

rm -r C:\Users\Public\python

(On reinstall scripts folder and all site-packages are not copied ie. no Pip or easy_install)

msiexec.exe /i python-2.7.15.amd64.msi ALL_USERS=0 TARGETDIR=C:\Users\Public\python /qr
msg323922 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2018-08-23 04:01
Python 2.7 is nearing end-of-life, its installer scheme is no longer used on any other branch, and the maintainer of that installer retired some years ago.  If you provide a patch, we can take a look and possibly merge it for you, but it's unlikely that this will be picked up by a maintainer without a patch to review.

If you would like to try patching it, all the necessary files should be in Tools/msi, and you can feel free to ask questions here if you get stuck.  Good luck!
msg324012 - (view) Author: Christopher Knorowski (cdknorow) Date: 2018-08-24 18:59
This also happens in python 3.7. following a similar procedure.

On Wed, Aug 22, 2018 at 9:01 PM Zachary Ware <report@bugs.python.org> wrote:

>
> Zachary Ware <zachary.ware@gmail.com> added the comment:
>
> Python 2.7 is nearing end-of-life, its installer scheme is no longer used
> on any other branch, and the maintainer of that installer retired some
> years ago.  If you provide a patch, we can take a look and possibly merge
> it for you, but it's unlikely that this will be picked up by a maintainer
> without a patch to review.
>
> If you would like to try patching it, all the necessary files should be in
> Tools/msi, and you can feel free to ask questions here if you get
> stuck.  Good luck!
>
> ----------
> components: +Windows
> nosy: +paul.moore, steve.dower, tim.golden, zach.ware
> priority: normal -> low
> type: compile error -> behavior
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue34470>
> _______________________________________
>
msg324184 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-08-27 16:06
Can you please provide the full set of logs for the Python 3.7 install? (They'll be in %TEMP%, and there will be quite a number of them.)
msg324185 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-08-27 16:07
Also, if you could provide some instructions on how to validate the issue you are reporting. Right now, I'm not even sure what you are seeing that is the problem.
History
Date User Action Args
2019-08-02 22:41:50steve.dowersetstatus: open -> closed
resolution: out of date
stage: resolved
2018-08-27 16:07:31steve.dowersetmessages: + msg324185
2018-08-27 16:06:06steve.dowersetmessages: + msg324184
versions: + Python 3.7
2018-08-24 18:59:31cdknorowsetmessages: + msg324012
2018-08-23 04:01:31zach.waresetpriority: normal -> low

nosy: + paul.moore, tim.golden, zach.ware, steve.dower
messages: + msg323922

components: + Windows
type: compile error -> behavior
2018-08-23 03:50:13cdknorowcreate